Package twisted :: Package words :: Module webwords :: Class ParticipantListWidget |
[frames | no frames]

## Class ParticipantListWidget

    Resource --+
               |
          Gadget --+
                   |
       Versioned --+
                   |
          Widget --+
                   |
                  ParticipantListWidget

Method Summary
| `__init__(self, service)`
| ``display`(self, request)` Get HTML for a directory of participants.
| ``getWidget`(self, name, request)` Get info for a particular participant.
| `upgradeToVersion1(self)`
| `upgradeToVersion2(self)`
Inherited from Gadget
| ``addFile`(self, path)` Gadget.addFile(path) Add a static path to this Gadget.
| ``getChild`(self, path, request)` Retrieve a 'child' resource from me.
| ``pageFactory`(self, *args, **kwargs)` Gadget.pageFactory(*args, **kwargs) -> Resource By default, this method returns self.page(*args, **kwargs).
| ``putPath`(self, path, pathname)` Gadget.putPath(path, pathname) Add a static path to this Gadget.
| ``putWidget`(self, path, widget)` Gadget.putWidget(path, widget) Add a Widget to this Gadget.
| ``render`(self, request)` Render a given resource.
Inherited from Resource
| ``delEntity`(self, name)`
| ``getChildForRequest`(self, request)`
| ``getChildWithDefault`(self, path, request)` Retrieve a static or dynamically generated child resource from me.
| ``getDynamicEntity`(self, name, request)`
| ``getStaticEntity`(self, name)`
| ``listDynamicEntities`(self, request)`
| ``listDynamicNames`(self)`
| ``listEntities`(self)`
| ``listNames`(self)`
| ``listStaticEntities`(self)`
| ``listStaticNames`(self)`
| ``putChild`(self, path, child)` Register a static child.
| ``reallyPutEntity`(self, name, entity)`
Inherited from Widget
| ``getTitle`(self, request)`
Inherited from Versioned
| ``__getstate__`(self, dict)` Get state, adding a version number to it on its way out.
| ``__setstate__`(self, state)`
| ``versionUpgrade`(self)` (internal) Do a version upgrade.

Class Variable Summary
`int` | `persistenceVersion` = 2
Inherited from Gadget
`int` | `isLeaf` = 0
Inherited from Resource
`tuple` | `__implements__` = `(<class twisted.web.resource.IResource ...`
`NoneType` | `server` = None
Inherited from Widget
`NoneType` | `title` = None
Inherited from Versioned
`tuple` | `persistenceForgets` = `()`

Method Details

### display(self, request) Get HTML for a directory of participants. Overrides: `twisted.web.widgets.Widget.display`

### getWidget(self, name, request) Get info for a particular participant. Overrides: `twisted.web.widgets.Gadget.getWidget`

Class Variable Details

    ### persistenceVersion Type: `int` Value:
        2

Generated by Epydoc 2.0 on Sat Oct 25 00:55:13 2003 | http://epydoc.sf.net